Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 783651 - app-text/opensp-1.5.2-r7: stabilisation, cleanup old (was: Port to EAPI-8)
Summary: app-text/opensp-1.5.2-r7: stabilisation, cleanup old (was: Port to EAPI-8)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Benda Xu
URL:
Whiteboard:
Keywords: CC-ARCHES, PullRequest
Depends on:
Blocks: EAPI5Removal
  Show dependency tree
 
Reported: 2021-04-18 08:23 UTC by Andreas Sturmlechner
Modified: 2022-01-29 10:09 UTC (History)
2 users (show)

See Also:
Package list:
app-text/opensp-1.5.2-r7
Runtime testing required: ---
nattka: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Sturmlechner gentoo-dev 2021-04-18 08:23:12 UTC
So many fixes applied over 1.5.2-r3, why not stabilise once in a while?
Comment 1 Andreas Sturmlechner gentoo-dev 2021-05-15 21:34:28 UTC
ping
Comment 2 Andreas Sturmlechner gentoo-dev 2021-06-20 07:38:08 UTC
ping
Comment 3 Andreas Sturmlechner gentoo-dev 2021-09-04 13:55:12 UTC
ping
Comment 4 Andreas Sturmlechner gentoo-dev 2021-10-12 12:56:41 UTC
ping
Comment 5 Jakov Smolić archtester gentoo-dev 2021-11-22 13:44:54 UTC
ping
Comment 6 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2021-11-22 13:48:02 UTC
Looks like we just need cleanup.
Comment 7 Jakov Smolić archtester gentoo-dev 2021-11-22 13:49:19 UTC
(In reply to Sam James from comment #6)
> Looks like we just need cleanup.

fwics opensp-1.5.2-r6 is still on EAPI 5
Comment 8 Larry the Git Cow gentoo-dev 2022-01-20 14:20:56 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ef3e6dd328ccb9c568c653b619f3db162c2aeee

commit 1ef3e6dd328ccb9c568c653b619f3db162c2aeee
Author:     Philipp Rösner <rndxelement@protonmail.com>
AuthorDate: 2021-12-30 18:22:23 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2022-01-20 14:20:49 +0000

    app-text/opensp: port to EAPI-8
    
    Added support for EAPI-8 in a new ebuild revision.
    
    Bug: https://bugs.gentoo.org/783651
    Package-Manager: Portage-3.0.30, Repoman-3.0.3
    Signed-off-by: Philipp Roesner <rndxelement@protonmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/23590
    Signed-off-by: Sam James <sam@gentoo.org>

 app-text/opensp/opensp-1.5.2-r7.ebuild | 85 ++++++++++++++++++++++++++++++++++
 1 file changed, 85 insertions(+)
Comment 9 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2022-01-29 04:00:18 UTC
hppa done
Comment 10 Arthur Zamarin archtester gentoo-dev 2022-01-29 06:58:28 UTC
arm done
Comment 11 Arthur Zamarin archtester gentoo-dev 2022-01-29 06:59:46 UTC
arm64 done
Comment 12 Arthur Zamarin archtester gentoo-dev 2022-01-29 07:00:03 UTC
ppc64 done
Comment 13 Arthur Zamarin archtester gentoo-dev 2022-01-29 07:01:34 UTC
sparc done
Comment 14 Arthur Zamarin archtester gentoo-dev 2022-01-29 07:07:21 UTC
ppc done
Comment 15 Agostino Sarubbo gentoo-dev 2022-01-29 08:49:13 UTC
amd64 stable
Comment 16 Jakov Smolić archtester gentoo-dev 2022-01-29 10:07:16 UTC
x86 done

all arches done
Comment 17 Larry the Git Cow gentoo-dev 2022-01-29 10:09:27 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5a43addf34f0151132625abe5f33a3e7c6ae08b

commit b5a43addf34f0151132625abe5f33a3e7c6ae08b
Author:     Jakov Smolić <jsmolic@gentoo.org>
AuthorDate: 2022-01-29 10:09:02 +0000
Commit:     Jakov Smolić <jsmolic@gentoo.org>
CommitDate: 2022-01-29 10:09:05 +0000

    app-text/opensp: drop 1.5.2-r6 (EAPI 5--)
    
    Bug: https://bugs.gentoo.org/783651
    Signed-off-by: Jakov Smolić <jsmolic@gentoo.org>

 app-text/opensp/opensp-1.5.2-r6.ebuild | 81 ----------------------------------
 1 file changed, 81 deletions(-)